import qr from 'qr.js';
import { getStyleNumber, getStyleProps } from '../utils';
var ErrorCorrectLevelMap = /*#__PURE__*/function (ErrorCorrectLevelMap) {
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["L"] = 1] = "L";
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["M"] = 0] = "M";
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["Q"] = 3] = "Q";
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["H"] = 2] = "H";
  return ErrorCorrectLevelMap;
}(ErrorCorrectLevelMap || {});
var WINDOW_WIDTH = wx.getSystemInfoSync().windowWidth;
Component({
  data: {
    randomId: Math.random().toString().substr(2)
  },
  properties: {
    className: {
      type: String,
      value: ''
    },
    styleSheet: {
      type: String,
      value: ''
    },
    data: {
      type: String,
      value: ''
    },
    options: {
      type: Object,
      value: {}
    }
  },
  attached: function attached() {
    var _this$properties = this.properties,
      _this$properties$data = _this$properties.data,
      data = _this$properties$data === void 0 ? '' : _this$properties$data,
      _this$properties$opti = _this$properties.options,
      options = _this$properties$opti === void 0 ? {} : _this$properties$opti,
      _this$properties$styl = _this$properties.styleSheet,
      styleSheet = _this$properties$styl === void 0 ? '' : _this$properties$styl;
    if (data === '') {
      return;
    }
    this.width = getStyleNumber(getStyleProps('width', styleSheet), WINDOW_WIDTH) || 300;
    this.height = getStyleNumber(getStyleProps('height', styleSheet), WINDOW_WIDTH) || 300;
    this.drawCode(data, options);
  },
  methods: {
    drawCode: function drawCode(data, options) {
      var opt = Object.assign(options, {
        errorCorrectLevel: ErrorCorrectLevelMap[options.errorCorrectLevel || 'H']
      });
      var codeData = qr(data, opt);
      var _options$fillColor = options.fillColor,
        fillColor = _options$fillColor === void 0 ? '#000000' : _options$fillColor,
        _options$blankColor = options.blankColor,
        blankColor = _options$blankColor === void 0 ? '#ffffff' : _options$blankColor;
      var cells = codeData.modules;
      var tileWidth = this.width / cells.length;
      var tileHeight = this.height / cells.length;
      var ctx = wx.createCanvasContext(this.data.randomId, this);
      for (var r = 0; r < cells.length; ++r) {
        var row = cells[r];
        for (var c = 0; c < row.length; ++c) {
          ctx.setFillStyle(row[c] ? fillColor : blankColor);
          var w = Math.ceil((c + 1) * tileWidth) - Math.floor(c * tileWidth);
          var h = Math.ceil((r + 1) * tileHeight) - Math.floor(r * tileHeight);
          ctx.fillRect(Math.round(c * tileWidth), Math.round(r * tileHeight), w, h);
        }
      }
      ctx.fill();
      ctx.draw();
    }
  }
});