import qr from 'qr.js';
import { getStyleNumber, getStyleProps } from '../utils';
var ErrorCorrectLevelMap = /*#__PURE__*/function (ErrorCorrectLevelMap) {
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["L"] = 1] = "L";
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["M"] = 0] = "M";
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["Q"] = 3] = "Q";
  ErrorCorrectLevelMap[ErrorCorrectLevelMap["H"] = 2] = "H";
  return ErrorCorrectLevelMap;
}(ErrorCorrectLevelMap || {});
var WINDOW_WIDTH = my.getSystemInfoSync().windowWidth;
Component({
  // @ts-ignore
  onInit: function onInit() {
    this.randomId = Math.random().toString().substr(2);
    this.setData({
      randomId: this.randomId
    });
  },
  data: {
    randomId: 'qrid'
  },
  props: {
    className: '',
    style: '',
    data: ''
  },
  didMount: function didMount() {
    var _this$props = this.props,
      _this$props$data = _this$props.data,
      data = _this$props$data === void 0 ? '' : _this$props$data,
      _this$props$options = _this$props.options,
      options = _this$props$options === void 0 ? {} : _this$props$options,
      _this$props$style = _this$props.style,
      style = _this$props$style === void 0 ? '' : _this$props$style;
    if (data === '') {
      return;
    }
    this.width = getStyleNumber(getStyleProps('width', style), WINDOW_WIDTH) || 300;
    this.height = getStyleNumber(getStyleProps('height', style), WINDOW_WIDTH) || 300;
    this.drawCode(data, options);
  },
  methods: {
    drawCode: function drawCode(data, options) {
      var opt = Object.assign(options, {
        errorCorrectLevel: ErrorCorrectLevelMap[options.errorCorrectLevel || 'H']
      });
      var codeData = qr(data, opt);
      var _options$fillColor = options.fillColor,
        fillColor = _options$fillColor === void 0 ? '#000000' : _options$fillColor,
        _options$blankColor = options.blankColor,
        blankColor = _options$blankColor === void 0 ? '#ffffff' : _options$blankColor;
      var cells = codeData.modules;
      var tileWidth = this.width / cells.length;
      var tileHeight = this.height / cells.length;
      var ctx = my.createCanvasContext(this.randomId || 'qrid');
      for (var r = 0; r < cells.length; ++r) {
        var row = cells[r];
        for (var c = 0; c < row.length; ++c) {
          ctx.setFillStyle(row[c] ? fillColor : blankColor);
          var w = Math.ceil((c + 1) * tileWidth) - Math.floor(c * tileWidth);
          var h = Math.ceil((r + 1) * tileHeight) - Math.floor(r * tileHeight);
          ctx.fillRect(Math.round(c * tileWidth), Math.round(r * tileHeight), w, h);
        }
      }
      ctx.fill();
      ctx.draw();
    }
  }
});