/// <reference types="react" />
import { Component } from 'rax';
declare type ErrorCorrectLevel = 'L' | 'M' | 'Q' | 'H';
export interface QRCodeOptions {
    errorCorrectLevel?: ErrorCorrectLevel;
    typeNumber?: number;
    blankColor?: string;
    fillColor?: string;
}
export interface QRCodeProps {
    data: string;
    options?: QRCodeOptions;
    style?: Rax.CSSProperties;
}
interface QRCodeState {
    canvasWidth: number;
    canvasHeight: number;
}
declare class QRCode extends Component<QRCodeProps, QRCodeState> {
    width: number;
    height: number;
    private canvas;
    state: QRCodeState;
    constructor(props: any);
    initCanvasLayoutAndDraw(data: string, options: QRCodeOptions): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: QRCodeProps): void;
    private drawCode;
    private getSideLenOfRect;
    render(): import("react").JSX.Element;
}
export default QRCode;
