"use strict";

exports.__esModule = true;
exports.getStyleNumber = getStyleNumber;
exports.getStyleProps = getStyleProps;
var CALCULATION_ACCURACY = 8;
function getStyleNumber(styleProp, windowWidth) {
  var rpxEndIndex = styleProp.indexOf('rpx');
  if (rpxEndIndex > 0) {
    var value = Number(styleProp.substring(0, rpxEndIndex));
    return Number((windowWidth / 750 * value).toFixed(CALCULATION_ACCURACY));
  } else {
    var pxEndIndex = styleProp.indexOf('px');
    if (pxEndIndex > 0) {
      return styleProp.substring(0, pxEndIndex);
    } else {
      return styleProp;
    }
  }
}
function trimString(str) {
  return str.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, '');
}
function getStyleProps(key, styles) {
  if (styles === '') {
    return '';
  }
  var props = styles.split(';');
  var value = '';
  props.forEach(function (prop) {
    var _prop$split = prop.split(':'),
      propKey = _prop$split[0],
      propValue = _prop$split[1];
    if (trimString(propKey) === key) {
      value = trimString(propValue);
    }
  });
  return value;
}